/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/base.glsl"), digest: "d5ae695bab268b7d"});
    shaders.insert("blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/blend.glsl"), digest: "1c6f6f2578877c93"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush.glsl"), digest: "6d58de6f1400f9c8"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_blend.glsl"), digest: "88657c1b83952f96"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_image.glsl"), digest: "b8e7677448139f3e"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "8111fb1b9406babb"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "20c0d3e7336df326"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "a2d8a4044015817f"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_solid.glsl"), digest: "dc02bd610b2a192e"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "f7f5eeeeaa8f6593"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/clip_shared.glsl"), digest: "e8e30ba2163cfdc4"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/composite.glsl"), digest: "4cfa60da6bf2fb51"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_blur.glsl"), digest: "e57b75afb6091bc3"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "2fd6a3babbefcb3e"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "a9e34c01ade5eb70"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "e1d0349c1a743e7f"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "4146a9781d0caee5"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "933df6af5eade0f0"});
    shaders.insert("cs_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_conic_gradient.glsl"), digest: "3777052d6fa8be57"});
    shaders.insert("cs_fast_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_fast_linear_gradient.glsl"), digest: "2fc14c4270d0d39"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "fc56ebe4d76a640c"});
    shaders.insert("cs_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_linear_gradient.glsl"), digest: "4d3a3dfe1f89e0e1"});
    shaders.insert("cs_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_radial_gradient.glsl"), digest: "3dac306df3fe57ae"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_scale.glsl"), digest: "6da943438625a0a7"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "9290d49a25b7f98e"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/debug_color.glsl"), digest: "2f9261e057bd8448"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/debug_font.glsl"), digest: "738d28322b4c39c6"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/ellipse.glsl"), digest: "1883f224293b6515"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "e99b57d9cc26406a"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "208078c3cbd97aa7"});
    shaders.insert("gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/gradient.glsl"), digest: "c53f998c85cc0414"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "8a20bfd1a310950f"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/prim_shared.glsl"), digest: "20eb4b1edaf2124"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/ps_clear.glsl"), digest: "7ebb53dc085e88c4"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "91a2fd8c3959ab83"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "debed4db594859fb"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/rect.glsl"), digest: "8792120018f5d840"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/render_task.glsl"), digest: "3e16cd6b386f9247"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/shared.glsl"), digest: "4c69e477c1a90ece"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/transform.glsl"), digest: "c783752dc8c02e55"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-90.0.2/gfx/wr/webrender/res/yuv.glsl"), digest: "75bdb180d3aad89f"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_Gl.frag"),
        digest: "20483086d2a4d77d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "6168a29decb2ad22",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "890deec5bf3b62aa",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "17bc3c97e100b6f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "574b414a24c129cc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "3aa482746a8f05b3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "d1b5b50b2788c901",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "457e3412e8d49833",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "9b1c0e6ff76a2860",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "d2b1ef4ebee56e14",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "2694eef19b9e1c3f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "ba7c94f21c61d0c5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "7b584eb421289bde",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "a3c9cecb7991dd3d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "65ac939c3b3cf6c9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "a7a8b8017e44241b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "30a669b001c39c4d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "e58a4a71ca350a28",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "ec31647149aed412",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "a979c458d410f45b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "b68c97d87566afd5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "a82d881cbc06dd1f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "6be7a9a71da786b3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_Gl.frag"),
        digest: "f8c2d296511692c9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "4d60ed4458bf729e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "fc1abd6b63bcd2c9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_Gl.frag"),
        digest: "66d19f2d0713474c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "fcc5fa830b8bcf75",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "b368d429810c49ae",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_Gl.frag"),
        digest: "6b460ed59c6b368a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "83ce760d447b859f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "9caee2bbbb3bf2d4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "8e0d8a747fcae893",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "4ab5e340043e10e3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "ae50c02cfa9c1658",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_Gl.frag"),
        digest: "981fc87ec07cda0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "21d1a126660c856d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "495c9aefa5685d63",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "29f5754b2e75ad43",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "68fb7ab60754e1d3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "b2e37574e8818a88",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "c690f41a1642109c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "41673694695cca01",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "b6ae28602a68a329",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_FAST_PATH_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_FAST_PATH_TEXTURE_2D_Gl.frag"),
        digest: "cd5856a5b6626fea",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_FAST_PATH_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_FAST_PATH_TEXTURE_RECT_Gl.frag"),
        digest: "6bb6b51c7c2f1392",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "541058407169cf49",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "e8e89c7ab5cc8b5b",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "17ec7442a2e6c8da",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "9bc1da4d9f3b4fdb",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "d7607a4c0138637d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "5251c9553f50adb8",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_border_segment_Gl.frag"),
        digest: "ba5887be98840bb8",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_border_solid_Gl.frag"),
        digest: "f2e98082d291c2df",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "3084e46d4d0a0355",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "f8742cd2f67ed001",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_rectangle_Gl.frag"),
        digest: "2bacb8685741e60f",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "ef6361a61d3512d6",
    });
    shaders.insert((ShaderVersion::Gl, "cs_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_conic_gradient_Gl.frag"),
        digest: "1f664db490ae4b78",
    });
    shaders.insert((ShaderVersion::Gl, "cs_fast_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_fast_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_fast_linear_gradient_Gl.frag"),
        digest: "ebfd53d14285d333",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_line_decoration_Gl.frag"),
        digest: "b727ce6ac2c3c231",
    });
    shaders.insert((ShaderVersion::Gl, "cs_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_linear_gradient_Gl.frag"),
        digest: "98cd8f7bfa1131aa",
    });
    shaders.insert((ShaderVersion::Gl, "cs_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_radial_gradient_Gl.frag"),
        digest: "66a8b5c31ba1f3ad",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "3951d0499251493c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "e8efead3fb714c6e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/cs_svg_filter_Gl.frag"),
        digest: "ffccf5fc51d9dba",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_clear_Gl.frag"),
        digest: "e696a5e94c11171b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_split_composite_Gl.frag"),
        digest: "aade82fab7ac9215",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "c1a26314c7cbb181",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "b9517aa99f4f086d",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "43ade4836d3e1675",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "61e09ed591327144",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "6280c2679b7bd998",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-90.0.2/objdir/x86_64-unknown-linux-gnu/release/build/webrender-6681ce6dfdbd7508/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "fe59bc92f19bd089",
    });
    shaders
  };
}
